cURL
Product Profiles
List Product condition values
Returns a bounded prefix search of raw values for a Product condition field. Use the field, minimum query length, and maximum result count advertised by the condition catalogue. Results include disabled simple Products because saved Profile conditions must remain editable.
GET
cURL
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Query Parameters
Product field to search.
Available options:
sku, name, vendor_sku, manufacturer_part_number, external_id, barcode Example:
"sku"
Case-insensitive value prefix with at least two characters.
Minimum string length:
2Example:
"ABC"
Maximum number of value options to return.
Required range:
1 <= x <= 50